#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xFA,0x7F,0x44,0x9C,0xD2,0xED,0xA8,0x29,0x29,0xFF,0xDA,0xC9,
		0xE5,0xEC,0x74,0x71,0x13,0xEF,0xB6,0x0B,0xFA,0x01,0x5A,0x97,
		0x9F,0x37,0x9C,0x33,0x16,0x57,0xCE,0xBF,0x3C,0xF8,0x22,0xE1,
		0x0D,0x1A,0x3B,0xB5,0xFE,0xCB,0x92,0xDE,0x8A,0x6E,0x58,0x3C,
		0xAC,0x91,0x63,0x88,0xBC,0xFE,0x38,0x4B,0xFE,0x9F,0x0D,0x0B,
		0x84,0x8E,0xD3,0x67,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
